open(HFILE,@ARGV[0]) or die("Can't open .h file");
open(AFILE,(">>".$ARGV[1])) or die("Can't open array tmp file");
open(FFILE,(">>".$ARGV[2])) or die("Can't open function tmp file");

$id = 0;
$maxop = -1;
while ((<HFILE>)) {
  if (/SUBSYS/i) {
    if (/\#define (\w*)\s*(\d*)/) {
      $name = $1;
      $id = $2;
      printf("%s = %s\n",$1,$id);
      break;
    }}
  else {
    if (/\#define\s*(.*)_OP\s*(\d*)/) {
      ($name ne "" || $id != 0) or die("No SUBSYSID defined before opcodes\n");
      printf("%s:%s of %s\n",$1,$2,$maxop);
      if ($maxop < $2) {
	$maxop = $2;  
      }
      @opcodes[$2] = $1;
    }
  }
}

if ($name eq "" || $id == 0) {
  die("No SUBSYSID found in header");
}

#print opcode arrays
printf(AFILE "\nint %s_len = %d;",$name, $maxop);
printf(AFILE "\nstruct { int opcode; char *name; } %s_opcodes[] = {",$name);

for($i=0;$i<=$maxop;$i++) {
  if (@opcodes[$i] eq "") {
    printf(AFILE "\n\t{%d,\"Unknown\"},",$i);
  }
  else {
    printf(AFILE "\n\t{%d,\"%s\"},",$i,@opcodes[$i]);
  }
}
printf(AFILE "\n\t\t{0,\"Invalid\"}\n\t}\n;");

#print part of print function

printf(FFILE "\n\tif (subsys == %s) {\n\t\tif ((opcode > 0) && (opcode <= %s_len)) \n\t\t\tprintf(\" ss:%s oc:%s\",%s_opcodes[opcode].name);\n\t\telse\n\t\t\tprintf(\" ss:%s oc:%s\",rpc2_printoc(0,opcode));\n\t\treturn 1;\n\t}\n",$id,$name,$name,"%s",$name,$name,"%s");
